=== modified file 'lib/canonical/launchpad/webapp/dbpolicy.py'
--- lib/canonical/launchpad/webapp/dbpolicy.py	2009-12-02 11:57:11 +0000
+++ lib/canonical/launchpad/webapp/dbpolicy.py	2009-12-02 19:33:08 +0000
@@ -157,8 +157,10 @@
     # We need to select a non-load balancing DB policy for +opstats so
     # it doesn't query the DB for lag information (this page should not
     # hit the database at all). We haven't traversed yet, so we have
-    # to sniff the request this way.
-    if request['PATH_INFO'] == u'/+opstats':
+    # to sniff the request this way.  Even though PATH_INFO is always
+    # present in real requests, we need to tread carefully (``get``) because
+    # of test requests in our automated tests.
+    if request.get('PATH_INFO') == u'/+opstats':
         return DatabaseBlockedPolicy(request)
     elif config.launchpad.read_only:
         return ReadOnlyLaunchpadDatabasePolicy(request)

